Bug 206596 - [te_IN] - Some GSUB Conjuncts not appearing with its actual shape - Priority - A
[te_IN] - Some GSUB Conjuncts not appearing with its actual shape - Priority - A
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks: FC6Update 208823 209094
  Show dependency treegraph
 
Reported: 2006-09-15 02:57 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: pango-1.14.6-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 18:44:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for indic-ot-class-table.c (976 bytes, patch)
2006-09-28 21:34 EDT, Rahul Bhalerao
no flags Details | Diff

  None (edit)
Description Satyabrata Maitra 2006-09-15 02:57:00 EDT
Description of problem:
Some of the Conjuncts in GSUB category are not appearing with its correct shape
after combine. Those List is as follows :

U+0C28 U+0C4D U+0C31
U+0C2E U+0C4D U+0C31
U+0C30 U+0C4D U+0C31

Version-Release number of selected component (if applicable):
fonts-telugu-2.0.1-1
pango-1.14.3-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
Shapes, appearing is not correct. 

Expected results:
Shape should be correctly appearing.
Additional info:
Comment 1 Rahul Bhalerao 2006-09-28 21:32:11 EDT
U+0C31 should a below-base form. The GSUB rule for this is present in the font.
Thus this is a Pango bug. Changed the component.
Comment 2 Rahul Bhalerao 2006-09-28 21:34:08 EDT
Created attachment 137355 [details]
Patch for indic-ot-class-table.c
Comment 5 Matthias Clasen 2006-10-12 23:45:28 EDT
This will be fixed when we push pango 1.14.6 out as an update
Comment 6 Liang Zhang 2006-10-15 22:36:15 EDT
The pango of redhat cvs has already been 1.14.6 .
This bug can be closed.
Comment 7 Fedora Update System 2006-10-24 16:22:08 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 8 Fedora Update System 2006-10-25 11:52:34 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 9 Fedora Update System 2006-10-30 16:42:58 EST
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.